# Uses of Interface
javax.validation.Configuration

Packages that use Configuration
Package
Description
javax.validation
javax.validation.bootstrap
javax.validation.spi

## Uses of Configuration in javax.validation

Classes in javax.validation with type parameters of type Configuration
Modifier and Type
Interface
Description
`interface`
`Configuration<T extends Configuration<T>>`
Methods in javax.validation with type parameters of type Configuration
Modifier and Type
Method
Description
`static <T extends Configuration<T>, U extends ValidationProvider<T>>
ProviderSpecificBootstrap<T>`
Validation.`byProvider(Class<U> providerType)`

## Uses of Configuration in javax.validation.bootstrap

Classes in javax.validation.bootstrap with type parameters of type Configuration
Modifier and Type
Interface
Description
`interface`
`ProviderSpecificBootstrap<T extends Configuration<T>>`
Methods in javax.validation.bootstrap that return Configuration
Modifier and Type
Method
Description
`Configuration<?>`
GenericBootstrap.`configure()`

## Uses of Configuration in javax.validation.spi

Classes in javax.validation.spi with type parameters of type Configuration
Modifier and Type
Interface
Description
`interface`
`ValidationProvider<T extends Configuration<T>>`
Methods in javax.validation.spi that return Configuration
Modifier and Type
Method
Description
`Configuration<?>`
ValidationProvider.`createGenericConfiguration(BootstrapState state)`